New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Unable to install "processing-java" #3224

Closed
neilpanchal opened this Issue Apr 27, 2015 · 2 comments

Comments

Projects
None yet
2 participants
@neilpanchal

neilpanchal commented Apr 27, 2015

On version 3.0a5, I am able to install processing-java command under Toos > Install "processing-java".

On version 3.0a7, I get the following error:
Error: Could not find or load main class processing.mode.java.Commander

I've tried searching for this problem and looks like its an issue with the ".class" extension during build.

Hope this helps,
Neil

@benfry

This comment has been minimized.

Show comment
Hide comment
@benfry

benfry Apr 27, 2015

Member

Thanks for the report, sorry we didn't run into this during development, but I'll have a fix for the next release (and a workaround sooner).

Member

benfry commented Apr 27, 2015

Thanks for the report, sorry we didn't run into this during development, but I'll have a fix for the next release (and a workaround sooner).

@benfry benfry closed this in 5037024 Apr 27, 2015

@benfry

This comment has been minimized.

Show comment
Hide comment
@benfry

benfry Apr 27, 2015

Member

Fixed for 3.0a8.

In the meantime, you can manually fix your installation by first using the tool, then editing /usr/bin/processing-java with a text editor. Look for -cp in the file and replace from there to the end of the line with the following:

-cp "ant-launcher.jar:ant.jar:core.jar:jna.jar:pde.jar:core/library/core.jar:core/library/lwjgl.jar:core/library/lwjgl_util.jar:modes/java/mode/antlr.jar:modes/java/mode/classpath-explorer-1.0.jar:modes/java/mode/com.ibm.icu.jar:modes/java/mode/JavaMode.jar:modes/java/mode/jdi.jar:modes/java/mode/jdimodel.jar:modes/java/mode/jdtCompilerAdapter.jar:modes/java/mode/jsoup-1.7.1.jar:modes/java/mode/org.eclipse.core.contenttype.jar:modes/java/mode/org.eclipse.core.jobs.jar:modes/java/mode/org.eclipse.core.resources.jar:modes/java/mode/org.eclipse.core.runtime.jar:modes/java/mode/org.eclipse.equinox.common.jar:modes/java/mode/org.eclipse.equinox.preferences.jar:modes/java/mode/org.eclipse.jdt.core.jar:modes/java/mode/org.eclipse.osgi.jar:modes/java/mode/org.eclipse.text.jar:modes/java/mode/org.netbeans.swing.outline.jar" processing.mode.java.Commander "$@"
Member

benfry commented Apr 27, 2015

Fixed for 3.0a8.

In the meantime, you can manually fix your installation by first using the tool, then editing /usr/bin/processing-java with a text editor. Look for -cp in the file and replace from there to the end of the line with the following:

-cp "ant-launcher.jar:ant.jar:core.jar:jna.jar:pde.jar:core/library/core.jar:core/library/lwjgl.jar:core/library/lwjgl_util.jar:modes/java/mode/antlr.jar:modes/java/mode/classpath-explorer-1.0.jar:modes/java/mode/com.ibm.icu.jar:modes/java/mode/JavaMode.jar:modes/java/mode/jdi.jar:modes/java/mode/jdimodel.jar:modes/java/mode/jdtCompilerAdapter.jar:modes/java/mode/jsoup-1.7.1.jar:modes/java/mode/org.eclipse.core.contenttype.jar:modes/java/mode/org.eclipse.core.jobs.jar:modes/java/mode/org.eclipse.core.resources.jar:modes/java/mode/org.eclipse.core.runtime.jar:modes/java/mode/org.eclipse.equinox.common.jar:modes/java/mode/org.eclipse.equinox.preferences.jar:modes/java/mode/org.eclipse.jdt.core.jar:modes/java/mode/org.eclipse.osgi.jar:modes/java/mode/org.eclipse.text.jar:modes/java/mode/org.netbeans.swing.outline.jar" processing.mode.java.Commander "$@"
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment